package com.ruoyi.business.test.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 学生成绩对象 test_students_scores
 * 
 * @author Duke_yzl
 * @date 2025-02-18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("test_students_scores")
public class TestStudentsScores extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分数ID */
    @TableId
    private Long scoreId;
    /** 学生ID */
    @Excel(name = "学生ID")
    private Long studentId;
    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;
    /** 课程分数 */
    @Excel(name = "课程分数")
    private Long score;


}
