package com.ruoyi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author Duke_yzl
 * @date 20230617.01
 * @describe：
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "just-auth")
public class JustAuthConfig {


    private WeChatMp weChatMp;

    private DingTalk dingTalk;

    private Aliyun aliyun;

    private WeChatApplet weChatApplet;



    @Data
    public static class WeChatMp{
        private String clientId;
        private String clientSecret;
        private String redirectUri;
    }
    @Data
    public static class WeChatApplet{
        private String clientId;
        private String clientSecret;
    }
    @Data
    public static class DingTalk{
        private String clientId;
        private String clientSecret;
        private String redirectUri;
    }
    @Data
    public static class Aliyun{
        private String clientId;
        private String clientSecret;
        private String redirectUri;
    }
}