package com.ruoyi.business.state.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 调查问卷模板选择元素对象 t_state_model_form_item
 * 
 * @author Duke_yzl
 * @date 2023-06-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("t_state_model_form_item")
public class StateModelFormItem
{
    private static final long serialVersionUID = 1L;

    /** 选项ID */
    @TableId
    private Long stateItemId;
    /** 多选或者单选选项项 */
    @Excel(name = "多选或者单选选项项")
    private String stateItemName;
    /** 单选或者多选选项值 */
    @Excel(name = "单选或者多选选项值")
    private String stateItemLabel;
    /** 题目ID */
    @Excel(name = "题目ID")
    private Long stateId;
    /** 排序 */
    @Excel(name = "排序")
    private Long orderNum;


}
