package com.ruoyi.common.just;

import me.zhyd.oauth.config.AuthSource;

/**
 * @author Duke_yzl
 * @date 20230619.01
 * @describe：
 */
public enum AuthCustomSource implements AuthSource {

    /**
     * 自己搭建的gitlab私服
     */
    APPLET {
        /**
         * 授权的api
         *
         * @return url
         */
        @Override
        public String authorize() {
            return "";
        }

        /**
         * 获取accessToken的api
         * 小程序获取openId的 url
         *
         * @return url
         */
        @Override
        public String accessToken() {
            return "https://api.weixin.qq.com/sns/jscode2session";
        }

        /**
         * 获取用户信息的api
         *
         * @return url
         */
        @Override
        public String userInfo() {
            return "";
        }


        @Override
        public Class<? extends AuthAppletRequest> getTargetClass() {
            return AuthAppletRequest.class;
        }
    }
}